Last Comment Bug 815646 - Intermittent accessible/states/test_link.html | Doubled event { event type: document load complete, target: 'undefined' } in test with ID = 'link + 'link_traversed' clicked.'.
: Intermittent accessible/states/test_link.html | Doubled event { event type: d...
Status: RESOLVED FIXED
: intermittent-failure
Product: Core
Classification: Components
Component: Disability Access APIs (show other bugs)
: Trunk
: All Linux
: -- normal (vote)
: mozilla20
Assigned To: alexander :surkov
:
:
Mentors:
Depends on: 757774 810554
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-27 08:32 PST by Ed Morley [:emorley]
Modified: 2012-12-10 09:24 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
fixed


Attachments
enable logging (2.61 KB, patch)
2012-11-29 01:19 PST, alexander :surkov
tbsaunde+mozbugs: review+
Details | Diff | Splinter Review
fix the test (2.15 KB, patch)
2012-12-03 01:21 PST, alexander :surkov
tbsaunde+mozbugs: review+
Details | Diff | Splinter Review

Description Ed Morley [:emorley] 2012-11-27 08:32:08 PST
+++ This bug was initially created as a clone of Bug #810554 +++
Similar to bug 810554 except without the initial timeout.

Rev3 Fedora 12 mozilla-inbound opt test mochitest-other on 2012-11-26 10:13:13 PST for push 7e97c5392d81

slave: talos-r3-fed-005

https://tbpl.mozilla.org/php/getParsedLog.php?id=17345817&tree=Mozilla-Inbound

{
9332 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/states/test_link.html | Doubled event { event type: document load complete, target:  'undefined' } in test with ID = 'link + 'link_traversed' clicked.'.
}

With more context:
{
9313 INFO TEST-START | chrome://mochitests/content/a11y/accessible/states/test_link.html
9314 INFO TEST-INFO | chrome://mochitests/content/a11y/accessible/states/test_link.html | must wait for load
9315 INFO TEST-PASS | chrome://mochitests/content/a11y/accessible/states/test_link.html | wrong state bits for  'link_href' !
9316 INFO TEST-PASS | chrome://mochitests/content/a11y/accessible/states/test_link.html | wrong state bits for ['null node', address: [object Text], role: text leaf, name: 'link', address: [xpconnect wrapped nsIAccessible]]!
9317 INFO TEST-PASS | chrome://mochitests/content/a11y/accessible/states/test_link.html | wrong state bits for  'link_click' !
9318 INFO TEST-PASS | chrome://mochitests/content/a11y/accessible/states/test_link.html | wrong state bits for  'link_mousedown' !
9319 INFO TEST-PASS | chrome://mochitests/content/a11y/accessible/states/test_link.html | wrong state bits for  'link_mouseup' !
9320 INFO TEST-PASS | chrome://mochitests/content/a11y/accessible/states/test_link.html | wrong state bits for  'link_arialink' !
9321 INFO TEST-PASS | chrome://mochitests/content/a11y/accessible/states/test_link.html | wrong state bits for  'link_ariabutton' !
9322 INFO TEST-PASS | chrome://mochitests/content/a11y/accessible/states/test_link.html | state bits should not be present in ID  'link_ariabutton' !
9323 INFO TEST-PASS | chrome://mochitests/content/a11y/accessible/states/test_link.html | wrong state bits for  'link_notlink' !
9324 INFO TEST-PASS | chrome://mochitests/content/a11y/accessible/states/test_link.html | state bits should not be present in ID  'link_notlink' !
9325 INFO TEST-PASS | chrome://mochitests/content/a11y/accessible/states/test_link.html | wrong state bits for  'link_traversed' !
9326 INFO TEST-PASS | chrome://mochitests/content/a11y/accessible/states/test_link.html | state bits should not be present in ID  'link_traversed' !
9327 INFO TEST-INFO | chrome://mochitests/content/a11y/accessible/states/test_link.html | Invoke the 'link + 'link_traversed' clicked.' test { expected 'state change' event; expected 'document load complete' event;  }
9328 INFO TEST-PASS | chrome://mochitests/content/a11y/accessible/states/test_link.html | Wrong extra state bit of the statechange event.
9329 INFO TEST-PASS | chrome://mochitests/content/a11y/accessible/states/test_link.html | Wrong state of the statechange event.
9330 INFO TEST-PASS | chrome://mochitests/content/a11y/accessible/states/test_link.html | Wrong state of statechange event state
9331 INFO TEST-PASS | chrome://mochitests/content/a11y/accessible/states/test_link.html | wrong state bits for ['a@id="link_traversed" node', address: http://www.example.com/, role: link, name: 'example.com', address: [xpconnect wrapped nsIAccessible]]!
9332 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/states/test_link.html | Doubled event { event type: document load complete, target:  'undefined' } in test with ID = 'link + 'link_traversed' clicked.'.
9333 INFO TEST-PASS | chrome://mochitests/content/a11y/accessible/states/test_link.html | test with ID = 'link + 'link_traversed' clicked.' failed. No state change event.
9334 INFO TEST-PASS | chrome://mochitests/content/a11y/accessible/states/test_link.html | test with ID = 'link + 'link_traversed' clicked.' failed. No document load complete event.
9335 INFO TEST-END | chrome://mochitests/content/a11y/accessible/states/test_link.html | finished in 811ms
}
Comment 1 alexander :surkov 2012-11-27 21:11:32 PST
enable logging: http://hg.mozilla.org/integration/mozilla-inbound/rev/0c242b9fcb54
Comment 2 Chris Jones [:cjones] inactive; ni?/f?/r? if you need me 2012-11-27 22:55:32 PST
Hi, I backed this out for crashes in Moth tests.  Sorry.

https://hg.mozilla.org/integration/mozilla-inbound/rev/126d3e10e2d4
Comment 3 Treeherder Robot 2012-11-28 04:11:59 PST
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=17398518&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound opt test mochitest-other on 2012-11-27 20:59:27
slave: talos-r3-fed64-013

9332 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/states/test_link.html | Doubled event { event type: document load complete, target:  'undefined' } in test with ID = 'link + 'link_traversed' clicked.'.
Comment 4 Treeherder Robot 2012-11-28 22:36:05 PST
rs
https://tbpl.mozilla.org/php/getParsedLog.php?id=17440761&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound opt test mochitest-other on 2012-11-28 21:58:49
slave: talos-r3-fed-070

9332 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/states/test_link.html | Doubled event { event type: document load complete, target:  'undefined' } in test with ID = 'link + 'link_traversed' clicked.'.
Comment 5 alexander :surkov 2012-11-29 01:19:33 PST
Created attachment 686479 [details] [diff] [review]
enable logging

it seems that was a recent change that documents having no presshell get document loading notificaitons (or something was changed in UI).
Comment 6 David Bolter [:davidb] 2012-11-29 10:25:15 PST
*** Bug 816368 has been marked as a duplicate of this bug. ***
Comment 7 alexander :surkov 2012-11-29 18:12:09 PST
enable logging (phase 2) http://hg.mozilla.org/integration/mozilla-inbound/rev/5061278bcf35
Comment 8 Ed Morley [:emorley] 2012-11-30 02:10:00 PST
https://hg.mozilla.org/mozilla-central/rev/5061278bcf35
Comment 9 Treeherder Robot 2012-12-01 18:17:47 PST
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=17526166&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound opt test mochitest-other on 2012-12-01 17:54:02
slave: talos-r3-fed-050

9333 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/states/test_link.html | Doubled event { event type: document load complete, target:  'undefined' } in test with ID = 'link + 'link_traversed' clicked.'.
Comment 10 alexander :surkov 2012-12-02 17:36:56 PST
about:blank document gets created before example.com document (a document open in new window on link click). From screen reader user point of view that could mean extra noise in temporary documents announcement. As far as I know we don't have any idea whether about:blank document is temporary or persistent one to filter the case.

Jamie, is flashing about:blank documents loadings (document complete load event + busy state change event) a problem for AT?
Comment 11 James Teh [:Jamie] 2012-12-02 20:33:12 PST
If it ever gets focus, it will create extraneous "noise". If it doesn't get focus, it shouldn't.
Comment 12 alexander :surkov 2012-12-03 01:21:05 PST
Created attachment 687666 [details] [diff] [review]
fix the test

It doesn't seem (per Jamie's comment) we have a real problem here so let's fix the test.
Comment 13 Treeherder Robot 2012-12-03 01:41:48 PST
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=17549306&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound opt test mochitest-other on 2012-12-02 21:31:01
slave: talos-r3-fed64-044

9333 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/states/test_link.html | Doubled event { event type: document load complete, target:  'undefined' } in test with ID = 'link + 'link_traversed' clicked.'.
Comment 14 Treeherder Robot 2012-12-03 02:16:58 PST
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=17540504&tree=Profiling
Rev3 Fedora 12x64 profiling pgo test mochitest-other on 2012-12-02 13:15:45
slave: talos-r3-fed64-051

3671 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/docshell/test/chrome/test_mozFrameType.xul | Test timed out.
3672 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/docshell/test/chrome/test_mozFrameType.xul | [SimpleTest.finish()] waitForFocus() was called a different number of times from the number of callbacks run.  Maybe the test terminated prematurely -- be sure to use SimpleTest.waitForExplicitFinish(). - got 1, expected 0
3675 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/docshell/test/chrome/test_principalInherit.xul | [SimpleTest.finish()] this test already called finish!
3676 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/docshell/test/chrome/test_principalInherit.xul | chrome://mochitests/content/chrome/docshell/test/chrome/test_mozFrameType.xul finished in a non-clean fashion, probably because it didn't call SimpleTest.finish()
3692 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/dom/base/test/test_bug715041.xul | chrome://mochitests/content/chrome/docshell/test/chrome/test_principalInherit.xul finished in a non-clean fashion, probably because it didn't call SimpleTest.finish()
35817 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/widget/tests/test_bug343416.xul | The idle time should have increased by roughly the amount of time it took for the timeout to fire. You didn't touch the mouse or keyboard during the test did you?
9333 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/states/test_link.html | Doubled event { event type: document load complete, target:  'undefined' } in test with ID = 'link + 'link_traversed' clicked.'.
Comment 15 Trevor Saunders (:tbsaunde) 2012-12-03 10:44:28 PST
Comment on attachment 687666 [details] [diff] [review]
fix the test

any idea why this isn't an issue in other tests?
Comment 16 alexander :surkov 2012-12-03 18:15:49 PST
(In reply to Trevor Saunders (:tbsaunde) from comment #15)
> Comment on attachment 687666 [details] [diff] [review]
> fix the test
> 
> any idea why this isn't an issue in other tests?

You mean tests that listen document_load_complete events? Maybe we should wait longer.
Comment 17 Treeherder Robot 2012-12-05 00:57:38 PST
past
https://tbpl.mozilla.org/php/getParsedLog.php?id=17604158&tree=Fx-Team
Rev3 Fedora 12x64 fx-team opt test mochitest-other on 2012-12-04 13:38:48
slave: talos-r3-fed64-020

9334 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/states/test_link.html | Doubled event { event type: document load complete, target:  'undefined' } in test with ID = 'link + 'link_traversed' clicked.'.
Comment 18 alexander :surkov 2012-12-05 22:48:45 PST
ping?
Comment 19 Trevor Saunders (:tbsaunde) 2012-12-05 23:16:07 PST
(In reply to alexander :surkov from comment #16)
> (In reply to Trevor Saunders (:tbsaunde) from comment #15)
> > Comment on attachment 687666 [details] [diff] [review]
> > fix the test
> > 
> > any idea why this isn't an issue in other tests?
> 
> You mean tests that listen document_load_complete events? Maybe we should

yes

> wait longer.

not sure what you mean by that.
Comment 20 alexander :surkov 2012-12-06 00:28:44 PST
(In reply to Trevor Saunders (:tbsaunde) from comment #19)

> > wait longer.
> 
> not sure what you mean by that.

I meant this failure doesn't happen very often so maybe we will see other tests failing one day.

I don't really see how they are different so that they shouldn't fail.
Comment 21 Treeherder Robot 2012-12-06 01:46:46 PST
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=17660181&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound opt test mochitest-other on 2012-12-05 22:13:14
slave: talos-r3-fed-011

9333 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/states/test_link.html | Doubled event { event type: document load complete, target:  'undefined' } in test with ID = 'link + 'link_traversed' clicked.'.
Comment 22 Trevor Saunders (:tbsaunde) 2012-12-06 11:55:44 PST
(In reply to alexander :surkov from comment #20)
> (In reply to Trevor Saunders (:tbsaunde) from comment #19)
> 
> > > wait longer.
> > 
> > not sure what you mean by that.
> 
> I meant this failure doesn't happen very often so maybe we will see other
> tests failing one day.
> 
> I don't really see how they are different so that they shouldn't fail.

ok, not sure I like it but I guess we can live with it.
Comment 23 Treeherder Robot 2012-12-06 17:52:59 PST
sworkman
https://tbpl.mozilla.org/php/getParsedLog.php?id=17690785&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound opt test mochitest-other on 2012-12-06 17:28:15
slave: talos-r3-fed64-066

9333 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/states/test_link.html | Doubled event { event type: document load complete, target:  'undefined' } in test with ID = 'link + 'link_traversed' clicked.'.
Comment 24 alexander :surkov 2012-12-06 19:58:50 PST
(In reply to Trevor Saunders (:tbsaunde) from comment #22)
> (In reply to alexander :surkov from comment #20)
> > (In reply to Trevor Saunders (:tbsaunde) from comment #19)
> > 
> > > > wait longer.
> > > 
> > > not sure what you mean by that.
> > 
> > I meant this failure doesn't happen very often so maybe we will see other
> > tests failing one day.
> > 
> > I don't really see how they are different so that they shouldn't fail.
> 
> ok, not sure I like it but I guess we can live with it.

at least you should try :) I really don't see alternatives, due to specialties of document loadings we can get a temporary document created, that's what log shows us, per Jamie's comment it shouldn't affect on them so there's no practical reason to fix this behavior and thus we need to fix a failing test. Also there's no practical reason to fix other similar tests because they may fail since we don't have known failures. Fixing a test is not ideal solution but it seems a practical one.
Comment 26 Treeherder Robot 2012-12-07 04:24:59 PST
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=17706562&tree=Mozilla-Aurora
Rev3 Fedora 12 mozilla-aurora pgo test mochitest-other on 2012-12-07 03:16:08
slave: talos-r3-fed-003

9332 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/states/test_link.html | Doubled event { event type: document load complete, target:  'undefined' } in test with ID = 'link + 'link_traversed' clicked.'.
Comment 27 Ed Morley [:emorley] 2012-12-07 06:29:17 PST
https://hg.mozilla.org/mozilla-central/rev/f586bd6769d3
Comment 28 Treeherder Robot 2012-12-10 08:49:15 PST
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=17766922&tree=Mozilla-Aurora
Rev3 Fedora 12 mozilla-aurora pgo test mochitest-other on 2012-12-09 15:54:09
slave: talos-r3-fed-071

9332 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/states/test_link.html | Doubled event { event type: document load complete, target:  'undefined' } in test with ID = 'link + 'link_traversed' clicked.'.

Note You need to log in before you can comment on or make changes to this bug.